com.thinkaurelius.titan.graphdb.query

## Class ResultMergeSortIterator<R>

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.query.ResultMergeSortIterator<R>

- All Implemented Interfaces:
    Iterator<R>

      public class ResultMergeSortIterator<R>
      extends Object
      implements Iterator<R>

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultMergeSortIterator(Iterator<R> first, Iterator<R> second, Comparator<R> comparator, boolean filterDuplicates)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `static <R> Iterable<R>` | `mergeSort(Iterable<R> first, Iterable<R> second, Comparator<R> comparator, boolean filterDuplicates)`
    `R` | `next()`
    `R` | `nextInternal()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultMergeSortIterator

          public ResultMergeSortIterator(Iterator<R> first,
                                 Iterator<R> second,
                                 Comparator<R> comparator,
                                 boolean filterDuplicates)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<R>`

    - #### next

          public R next()

      Specified by:
        `next` in interface `Iterator<R>`

    - #### nextInternal

          public R nextInternal()

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<R>`

    - #### mergeSort

          public static <R> Iterable<R> mergeSort(Iterable<R> first,
                                  Iterable<R> second,
                                  Comparator<R> comparator,
                                  boolean filterDuplicates)

Copyright © 2012–2014. All rights reserved.